// test program for modified AKIZUKI PIC18F2550 board 
// with Microchip's HID bootloader  

#include <p18f2550.h>

#pragma code reset_vector=0x1000
extern void _startup(void);
void remapped_reset(void) { _asm goto _startup _endasm}

#pragma code

void main(void) {
  TRISCbits.TRISC6=1;   // RC6 is input (program jumper pin)
  TRISCbits.TRISC0=0;   // RC0 is output (LED)
  while(1) {
    PORTCbits.RC0=~PORTCbits.RC6;  // RC0=~RC6 
  }
}
